Author Topic: WinAGI 2.1.5 - fails to compile PQ1  (Read 2204 times)

0 Members and 1 Guest are viewing this topic.

Offline ZvikaZ

WinAGI 2.1.5 - fails to compile PQ1
« on: February 11, 2021, 02:39:59 AM »
Hi.
I have loaded PQ1 (dos) to WinAGI 2.1.5, and tried to compile Logic6 (without changing anything...) - but it failed with:
Code: [Select]
563: Property or method not avialable until object is loaded.And then:
Code: [Select]
506: Invalid resource data at 66662 in VOL.0
Previously, I have loaded the 2gs versions of PQ1, and it worked fine, if this matters.



Offline AGKorson

Re: WinAGI 2.1.5 - fails to compile PQ1
« Reply #1 on: February 11, 2021, 11:57:03 AM »
That's not good. It compiles fine for me though. But now I'm wondering if I have the right DOS version of the game. My game files are a bit of a mess, as I'm constantly tweaking things as I do testing.

The first error indicates one of the game resources needed by the compiler is not loading. But the only resources that the compiler needs loaded are the object file and words.tok file. Location 66662 in vol.0 is in the middle of View 188. The compiler does not need to load views, and View 188 isn't even referenced in Logic 6 anyway. That makes me think my version is not the same as what you have.

I have game version 2.0G, running on AGI interpreter version 2.917. Can you check your game and interpreter version? Also, if possible, can you zip up all your game files, including source directory, and make them available to me so I can try to duplicate the problem?

Once I find out what's going on, I'll get a fix out for you.

Again, sorry for the inconvenience.

Offline ZvikaZ

Re: WinAGI 2.1.5 - fails to compile PQ1
« Reply #2 on: February 11, 2021, 12:24:04 PM »
My game is 2.0A.
Regarding the interpreter version - I'm not sure how to check it manually.
However, WinAGI reports that's it 2.917

Please see my PM with more details.

And, please, don't feel sorry for the inconvenience - it's the other way around - I very appreciate your great efforts with supporting AGI!

Offline AGKorson

Re: WinAGI 2.1.5 - fails to compile PQ1
« Reply #3 on: February 11, 2021, 02:24:57 PM »
Short answer - your files are marked read-only. If you remove that mark, everything works just fine.

Longer answer - not all my error messages are helpful; I should have provided more useful information to the user about why the files weren't writing. I've tweaked that section of code so it points you in the right direction if read-only files are encountered. Update will be available sometime this weekend.

I think a better long term solution will be to verify all files can be accessed when the game is loaded, and provide immediate feedback to the user at that time. I'll add that to my ToDo list for next version.

thx for finding this for me.

Offline ZvikaZ

Re: WinAGI 2.1.5 - fails to compile PQ1
« Reply #4 on: February 11, 2021, 03:04:13 PM »
Indeed, now it's working.
Thanks


SMF 2.0.19 | SMF © 2021, Simple Machines
Simple Audio Video Embedder

Page created in 0.05 seconds with 23 queries.